load tclreg80.dll registry
label .msg -text "Accessing Registry"
grid .msg
set plugDir [registry get {HKEY_LOCAL_MACHINE\SOFTWARE\NASA/GSFC\LHEATcl Plugin} Directory]
set plugDir "${plugDir}\\2.0"
set binDir "${plugDir}\\bin"
catch {set nav3 [registry get {HKEY_LOCAL_MACHINE\SOFTWARE\Netscape\Netscape Navigator\Main} "Install Directory"]}
catch {set nav4Version [registry get {HKEY_LOCAL_MACHINE\SOFTWARE\Netscape\Netscape Navigator} CurrentVersion]}
if [info exists nav4Version] {
   set nav4PlugDir  [registry get "HKEY_LOCAL_MACHINE\\SOFTWARE\\Netscape\\Netscape Navigator\\$nav4Version\\Main" "Plugins Directory"]
   set nav4InstDir  [registry get "HKEY_LOCAL_MACHINE\\SOFTWARE\\Netscape\\Netscape Navigator\\$nav4Version\\Main" "Install Directory"]
}
catch {set iexp3 [registry get {HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\IEXPLORE.EXE} {}]}
.msg configure -text "Copying files to browser directories"
if [info exists nav3] {
    foreach dll {tk80.dll tclpip80.dll tclreg80.dll tcl80.dll nptcl32.dll powtcl.dll fitstcl.dll} {
       file copy -force $binDir\\$dll $nav3\\program\\plugins\\
    }
}
if [info exist nav4Version] {
    foreach dll {tk80.dll tclpip80.dll tclreg80.dll tcl80.dll nptcl32.dll powtcl.dll fitstcl.dll} {
       file copy -force $binDir\\$dll $nav4PlugDir
    }
}
if [info exist iexp3] {
    set iexp3 [file dirname $iexp3]
    foreach dll {tk80.dll tclpip80.dll tclreg80.dll tcl80.dll nptcl32.dll powtcl.dll fitstcl.dll} {
       file copy -force $binDir\\$dll $iexp3\\plugins\\
    }
}
.msg configure -text "Editting installation config files"
set handle [open "$binDir\\..\\plugin\\installed.cfg" a]
puts $handle "set ::plugin(executable) $binDir\\wish80.exe"
puts $handle "set ::plugin(sharedLibraryDir) $binDir"
close $handle
destroy .msg
exit
